Packages - Bug #2014

[guix] update package to 0.15.0 to fix guix pull issues
2018-09-26 03:30 PM - GNUtoo

Status: fixed % Done: 0%
Priority: bug

Assignee: ovruni

Category:

Description

Hi,

I run guix pull yesterday, and now guix doens't work properly anymore:

# guix package -s bash
Backtrace:
In ice-9/threads.scm:
390:8 19 (_ _)
In ice-9/boot-9.scm:
2726:13 18 (_)
In ice-9/threads.scm:
390:8 17 (_ _)
In ice-9/boot-9.scm:
2994:20 16 (_)
2312:4 15 (save—-module—-excursion _)
3014:26 14 ()
In unknown file:
13 (primitive-load-path "guix/store" #<procedure 1248860 a..>)
In guix/store.scm:
20:0 12 (_)
In ice-9/boot-9.scm:
2874:4 11 (define-module* _ #:filename
2887:24 10 (_)
222:29 9 (mapl

#:pure _ #:version _ # _ ..)

(guix utils)) ((guix config)) ((guix #)) ((..

(( )y) .))
222:29 8 (mapl (((guix config)) ((guix memoization)) ((guix ..)) ..))
222:29 7 (mapl (((guix memoization)) ((guix serialization)) (#) ..))
222:29 6 (mapl (((guix serialization)) ((guix monads)) ((# #)) ..))
222:29 5 (mapl (((guix monads)) ((guix basel6)) ((guix #)) (#) ..))
222:29 4 (mapl (((guix basel6)) ((guix base32)) ((gcrypt #)) # ..))
222:29 3 (mapl (((guix base32)) ((gcrypt hash)) ((guix #)) (#) ..))
222:17 2 (mapl (((gcrypt hash)) ((guix profiling)) ((rnrs #)) # ..)

2803:6 1 (resolve-interface _ #:select _ #:hide _ #:prefix _ # _
In unknown file:
0 (scm—-error misc-error #f "~A ~S" ("no code for modu.." ..) ..)

ERROR: In procedure scm—error:
no code for module (gcrypt hash)

According to rekado on #guix on Freenode, the new version of guix now prevents this kind of issues. So it would be wise to update it.

I'll try to make an updated MAKEPKG

History

#1 - 2018-09-26 10:31 PM - ovruni

- Assignee set to ovruni

#2 - 2018-09-26 10:54 PM - ovruni

- Status changed from open to fixed

#3 - 2018-09-27 12:43 AM - freemor
After this update the "info" pages are showing up in spanish. Seems just to be the info pages tho. man page uses the system lang. and guix output is

in the system language.

#4 - 2018-09-28 12:44 AM - GNUtoo
- File 0002-pcr-guix-update-to-0.15.0.patch added

The mailing list is down so | coun't send the patches.

I've attached them anyway just for the record.

Files

0002-pcr-guix-update-to-0.15.0.patch 3.2KB
